DefaultGNUMakefileViewConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.DefaultGNUMakefileViewConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class DefaultGNUMakefileViewConfiguration

    java.lang.Object
      com.nokia.carbide.cdt.builder.DefaultGNUMakefileViewConfiguration

All Implemented Interfaces:
  IViewConfiguration, IMakefileViewConfiguration

Direct Known Subclasses:
  DefaultImageMakefileViewConfiguration

    public class DefaultGNUMakefileViewConfiguration

extends java.lang.Object
implements IMakefileViewConfiguration

A default configuration for handling GNU makefiles.

Constructor Summary
`DefaultGNUMakefileViewConfiguration(ICarbideProjectInfo info, IViewFilter viewFilter)` Create a view configuration for the given project's default build context and view filter.
`DefaultGNUMakefileViewConfiguration(IProject project, ISymbianBuildContext context, IViewFilter viewFilter)` Create a view configuration for the given project and build context and view filter.

Method Summary
`java.util.Collection<IDefine>` | `getMacros()` Get the fixed macros (macro name or name=value).
`java.lang.String` | `getMakefileStyle()` Return the makefile style (“GNU” or “Posix”)
`IViewFilter` | `getViewFilter()` Get the filter defining how to handle conditional directives
`IViewParserConfiguration` | `getViewParserConfiguration()` Get the configuration for the parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGNUMakefileViewConfiguration

    public DefaultGNUMakefileViewConfiguration(ICarbideProjectInfo info,
                                               IViewFilter viewFilter)

  Create a view configuration for the given project's default build context and view filter.

  The build context may be null.

### DefaultGNUMakefileViewConfiguration

    public DefaultGNUMakefileViewConfiguration(IProject project,
                                               ISymbianBuildContext context,
                                               IViewFilter viewFilter)

  Create a view configuration for the given project and build context and view filter.

  The build context may be null.

Method Detail

### getMakefileStyle

    public java.lang.String getMakefileStyle()

  Description copied from interface: `IMakefileViewConfiguration`
  Return the makefile style (“GNU” or “Posix”)

  Specified by:
    `getMakefileStyle` in interface `IMakefileViewConfiguration`

### getMacros

    public java.util.Collection<IDefine> getMacros()

  Description copied from interface: `IViewConfiguration`
  Get the fixed macros (macro name or name=value). This array should not change after creation since this configuration is stored in a view.

  Specified by:
    `getMacros` in interface `IViewConfiguration`

### getViewFilter

    public IViewFilter getViewFilter()

  Description copied from interface: `IViewConfiguration`
  Get the filter defining how to handle conditional directives

  Specified by:
    `getViewFilter` in interface `IViewConfiguration`

### getViewParserConfiguration

    public IViewParserConfiguration getViewParserConfiguration()

  Description copied from interface: `IViewConfiguration`
  Get the configuration for the parser. This may differ based on SDK (i.e. different include paths or different keywords, etc.)

  Specified by:
    `getViewParserConfiguration` in interface `IViewConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD